"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEnvironmentVariables = void 0;
const dotenv_1 = require("dotenv");
const getEnvironmentVariables = () => {
    const { parsed = {} } = (0, dotenv_1.config)();
    const result = { ...process.env, ...parsed };
    return Object.entries(result).reduce((variables, [key, value]) => {
        if (value.includes('\n')) {
            return {
                ...variables,
                [key]: value.replaceAll(/\n/g, '\\n').replaceAll(/\r/g, '\\r')
            };
        }
        return {
            ...variables,
            [key]: value
        };
    }, {});
};
exports.getEnvironmentVariables = getEnvironmentVariables;
//# sourceMappingURL=utils.js.map